< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package wco
  Definition Classes
    hmrc
-  package dec
  Definition Classes
    wco
- AdditionalDocument
- AdditionalInformation
- Address
- Agent
- Amendment
- Amount
- AmountDeserializer
- Authentication
- Authenticator
- AuthorisationHolder
- BorderTransportMeans
- ChargeDeduction
- Classification
- Commodity
- Communication
- Consignment
- Contact
- CurrencyExchange
- CustomsValuation
- DangerousGoods
- DateTimeElement
- DateTimeString
- DateTimeStringDeserializer
- Declaration
- Destination
- DutyTaxFee
- ExportCountry
- Freight
- GoodsLocation
- GoodsLocationAddress
- GoodsMeasure
- GoodsShipment
- GovernmentAgencyGoodsItem
- GovernmentAgencyGoodsItemAdditionalDocument
- GovernmentAgencyGoodsItemAdditionalDocumentSubmitter
- GovernmentProcedure
- ImportExportParty
- Invoice
- InvoiceLine
- Itinerary
- JacksonMapper
- LoadingLocation
- Measure
- MeasureDeserializer
- MetaData
- NamedEntityWithAddress
- ObligationGuarantee
- Office
- Origin
- Packaging
- Payment
- Pointer
- PreviousDocument
- RoleBasedParty
- Seal
- StdAttributeAndTextDeserializer
- TradeTerms
- TransportEquipment
- TransportMeans
- Ucr
- ValuationAdjustment
- Warehouse
- WriteOff

c

uk.gov.hmrc.wco.dec

# DateTimeStringDeserializer 

###

#### class DateTimeStringDeserializer extends StdAttributeAndTextDeserializer[DateTimeString]

Linear Supertypes
StdAttributeAndTextDeserializer[DateTimeString], StdDeserializer[DateTimeString], Serializable, JsonDeserializer[DateTimeString], NullValueProvider, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DateTimeStringDeserializer
2. StdAttributeAndTextDeserializer
3. StdDeserializer
4. Serializable
5. JsonDeserializer
6. NullValueProvider
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DateTimeStringDeserializer()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def _byteOverflow(arg0: Int): Boolean
   Attributes
     protected[com.fasterxml.jackson.databind.deser.std]
   Definition Classes
     StdDeserializer
5.  def _coerceEmptyString(arg0: DeserializationContext, arg1: Boolean): AnyRef
   Attributes
     protected[com.fasterxml.jackson.databind.deser.std]
   Definition Classes
     StdDeserializer
   Annotations
     @throws( ... )
6.  def _coerceIntegral(arg0: JsonParser, arg1: DeserializationContext): AnyRef
   Attributes
     protected[com.fasterxml.jackson.databind.deser.std]
   Definition Classes
     StdDeserializer
   Annotations
     @throws( classOf[java.io.IOException] )
7.  def _coerceNullToken(arg0: DeserializationContext, arg1: Boolean): AnyRef
   Attributes
     protected[com.fasterxml.jackson.databind.deser.std]
   Definition Classes
     StdDeserializer
   Annotations
     @throws( ... )
8.  def _coerceTextualNull(arg0: DeserializationContext, arg1: Boolean): AnyRef
   Attributes
     protected[com.fasterxml.jackson.databind.deser.std]
   Definition Classes
     StdDeserializer
   Annotations
     @throws( ... )
9.  def _coercedTypeDesc(): String
   Attributes
     protected[com.fasterxml.jackson.databind.deser.std]
   Definition Classes
     StdDeserializer
10.  def _deserializeFromArray(arg0: JsonParser, arg1: DeserializationContext): DateTimeString
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
11.  def _deserializeFromEmpty(arg0: JsonParser, arg1: DeserializationContext): DateTimeString
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
12.  def _deserializeWrappedValue(arg0: JsonParser, arg1: DeserializationContext): DateTimeString
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
13.  def _failDoubleToIntCoercion(arg0: JsonParser, arg1: DeserializationContext, arg2: String): Unit
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
14.  final def _findNullProvider(arg0: DeserializationContext, arg1: BeanProperty, arg2: Nulls, arg3: JsonDeserializer[_]): NullValueProvider
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( ... )
15.  def _hasTextualNull(arg0: String): Boolean
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
16.  final def _intOverflow(arg0: Long): Boolean
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
17.  def _isEmptyOrTextualNull(arg0: String): Boolean
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
18.  final def _isIntNumber(arg0: String): Boolean
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
19.  final def _isNaN(arg0: String): Boolean
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
20.  final def _isNegInf(arg0: String): Boolean
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
21.  final def _isPosInf(arg0: String): Boolean
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
22.  def _nonNullNumber(arg0: Number): Number
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
23.  def _parseBooleanFromInt(arg0: JsonParser, arg1: DeserializationContext): Boolean
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
24.  final def _parseBooleanPrimitive(arg0: JsonParser, arg1: DeserializationContext): Boolean
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
25.  final def _parseBytePrimitive(arg0: JsonParser, arg1: DeserializationContext): Byte
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
26.  def _parseDate(arg0: String, arg1: DeserializationContext): Date
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
27.  def _parseDate(arg0: JsonParser, arg1: DeserializationContext): Date
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
28.  def _parseDateFromArray(arg0: JsonParser, arg1: DeserializationContext): Date
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
29.  final def _parseDoublePrimitive(arg0: DeserializationContext, arg1: String): Double
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
30.  final def _parseDoublePrimitive(arg0: JsonParser, arg1: DeserializationContext): Double
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
31.  final def _parseFloatPrimitive(arg0: DeserializationContext, arg1: String): Float
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
32.  final def _parseFloatPrimitive(arg0: JsonParser, arg1: DeserializationContext): Float
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
33.  final def _parseIntPrimitive(arg0: DeserializationContext, arg1: String): Int
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
34.  final def _parseIntPrimitive(arg0: JsonParser, arg1: DeserializationContext): Int
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
35.  final def _parseLongPrimitive(arg0: DeserializationContext, arg1: String): Long
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
36.  final def _parseLongPrimitive(arg0: JsonParser, arg1: DeserializationContext): Long
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
37.  final def _parseShortPrimitive(arg0: JsonParser, arg1: DeserializationContext): Short
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
38.  final def _parseString(arg0: JsonParser, arg1: DeserializationContext): String
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
39.  def _reportFailedNullCoerce(arg0: DeserializationContext, arg1: Boolean, arg2: Enum[_], arg3: String): Unit
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( ... )
40.  final def _shortOverflow(arg0: Int): Boolean
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
41.  def _verifyEndArrayForSingle(arg0: JsonParser, arg1: DeserializationContext): Unit
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
42.  final def _verifyNullForPrimitive(arg0: DeserializationContext): Unit
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( ... )
43.  final def _verifyNullForPrimitiveCoercion(arg0: DeserializationContext, arg1: String): Unit
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( ... )
44.  final def _verifyNullForScalarCoercion(arg0: DeserializationContext, arg1: String): Unit
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( ... )
45.  def _verifyNumberForScalarCoercion(arg0: DeserializationContext, arg1: JsonParser): Unit
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
46.  def _verifyStringForScalarCoercion(arg0: DeserializationContext, arg1: String): Unit
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( ... )
47.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
48.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
49.  final def deserialize(p: JsonParser, ctx: DeserializationContext): DateTimeString
    Definition Classes
      StdAttributeAndTextDeserializer → JsonDeserializer
50.  def deserialize(arg0: JsonParser, arg1: DeserializationContext, arg2: DateTimeString): DateTimeString
    Definition Classes
      JsonDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
51.  def deserializeWithType(arg0: JsonParser, arg1: DeserializationContext, arg2: TypeDeserializer): AnyRef
    Definition Classes
      StdDeserializer → JsonDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
52.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
53.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
54.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
55.  def findBackReference(arg0: String): SettableBeanProperty
    Definition Classes
      JsonDeserializer
56.  def findContentNullProvider(arg0: DeserializationContext, arg1: BeanProperty, arg2: JsonDeserializer[_]): NullValueProvider
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( ... )
57.  def findContentNullStyle(arg0: DeserializationContext, arg1: BeanProperty): Nulls
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( ... )
58.  def findConvertingContentDeserializer(arg0: DeserializationContext, arg1: BeanProperty, arg2: JsonDeserializer[_]): JsonDeserializer[_]
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( ... )
59.  def findDeserializer(arg0: DeserializationContext, arg1: JavaType, arg2: BeanProperty): JsonDeserializer[AnyRef]
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( ... )
60.  def findFormatFeature(arg0: DeserializationContext, arg1: BeanProperty, arg2: Class[_], arg3: Feature): Boolean
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
61.  def findFormatOverrides(arg0: DeserializationContext, arg1: BeanProperty, arg2: Class[_]): Value
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
62.  final def findValueNullProvider(arg0: DeserializationContext, arg1: SettableBeanProperty, arg2: PropertyMetadata): NullValueProvider
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( ... )
63.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
64.  def getDelegatee(): JsonDeserializer[_]
    Definition Classes
      JsonDeserializer
65.  def getEmptyAccessPattern(): AccessPattern
    Definition Classes
      JsonDeserializer
66.  def getEmptyValue(arg0: DeserializationContext): AnyRef
    Definition Classes
      JsonDeserializer
    Annotations
      @throws( ... )
67.  def getKnownPropertyNames(): Collection[AnyRef]
    Definition Classes
      JsonDeserializer
68.  def getNullAccessPattern(): AccessPattern
    Definition Classes
      JsonDeserializer → NullValueProvider
69.  def getNullValue(arg0: DeserializationContext): DateTimeString
    Definition Classes
      JsonDeserializer → NullValueProvider
    Annotations
      @throws( ... )
70.  def getObjectIdReader(): ObjectIdReader
    Definition Classes
      JsonDeserializer
71.  def getValueType(): JavaType
    Definition Classes
      StdDeserializer
72.  def handleMissingEndArrayForSingle(arg0: JsonParser, arg1: DeserializationContext): Unit
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
73.  def handleUnknownProperty(arg0: JsonParser, arg1: DeserializationContext, arg2: Any, arg3: String): Unit
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
    Annotations
      @throws( classOf[java.io.IOException] )
74.  def handledType(): Class[_]
    Definition Classes
      StdDeserializer → JsonDeserializer
75.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
76.  def isCachable(): Boolean
    Definition Classes
      JsonDeserializer
77.  def isDefaultDeserializer(arg0: JsonDeserializer[_]): Boolean
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
78.  def isDefaultKeyDeserializer(arg0: KeyDeserializer): Boolean
    Attributes
      protected[com.fasterxml.jackson.databind.deser.std]
    Definition Classes
      StdDeserializer
79.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
80.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
81.  def newInstanceFromTuple(values: (Option[String], Option[String])): DateTimeString
    Definition Classes
      DateTimeStringDeserializer → StdAttributeAndTextDeserializer
82.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
83.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
84.  val propsAttributeName: String
    Definition Classes
      StdAttributeAndTextDeserializer
85.  def replaceDelegatee(arg0: JsonDeserializer[_]): JsonDeserializer[_]
    Definition Classes
      JsonDeserializer
86.  def supportsUpdate(arg0: DeserializationConfig): Boolean
    Definition Classes
      JsonDeserializer
87.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
88.  def toString(): String
    Definition Classes
      AnyRef → Any
89.  def unwrappingDeserializer(arg0: NameTransformer): JsonDeserializer[DateTimeString]
    Definition Classes
      JsonDeserializer
90.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
91.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
92.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Deprecated Value Members

1.  def getEmptyValue(): AnyRef
   Definition Classes
     JsonDeserializer
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2.  def getNullValue(): DateTimeString
   Definition Classes
     JsonDeserializer
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3.  final def getValueClass(): Class[_]
   Definition Classes
     StdDeserializer
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from StdAttributeAndTextDeserializer[DateTimeString]

### Inherited from StdDeserializer[DateTimeString]

### Inherited from Serializable

### Inherited from JsonDeserializer[DateTimeString]

### Inherited from NullValueProvider

### Inherited from AnyRef

### Inherited from Any

### Ungrouped